Bug 67461 - Multiple selection of styles only works for Delete, but not for Hide/Show
Summary: Multiple selection of styles only works for Delete, but not for Hide/Show
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other All
: medium normal
Assignee: Jorendc
QA Contact:
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-29 09:19 UTC by grofaty
Modified: 2013-10-29 13:55 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description grofaty 2013-07-29 09:19:37 UTC
Styles - multiple selection and only Delete possible

I looked what is new in LibreOffice 4.1 Writer and noticed that multiple delete of style is possible. This feature was added according to bug report: https://bugs.freedesktop.org/show_bug.cgi?id=46718

Looking into the solution and I see this solution little bit strange (or bugy).

1. Format | Styles and Formatting.
2. Click on Page Style button (4th button) - this is just because Page Style has less styles listed so easier to demonstrate.
3. Right click somewhere in window and "New...".
4. In Organizer tab | Style | Name field type in test1 and click on OK button.
5. Repeat step 4 and name it test2.
6. In style list click on test1, press CTRL and hold and click on test2.
7. Right click and Delete. Result: both two styles are deleted. So new feature of deleting multiple styles works fine.
8. Repeat steps 4, 5, 6.
9. Right click and Hide.
10. (observe) You can see there is no more test1 it was hidden, but test2 is still displayed. This is strange from design point of view. Now from bottom drop-down list select Hidden Styles and there is only test1 listed. This is prove that only first style marked was hidden. So Hide does not work for multiple selections.

P.S. The same problem for Modify (in step 9 select Modify).
P.S.S. The same problem for "Show". Hiding test1 and test2 one by one. From drop-down selection Hidden Styles, select both test1 and test2 and right click and Show and only first test1 style gets removed from Hidden Styles.

In my humble opinion this should be solved like this:
a) For Modify if multiple selection is done, then right menu Modify option should be grayed out. You can't modify two styles at once, so option not logical.
b) For Hide / Show - do the same as a) or implement solution to hide/show multiple styles.

Tested on: LibreOffice 4.1 on Ubuntu 12.04 using ppa:libreoffice/ppa.
Comment 1 tommy27 2013-08-26 12:41:36 UTC
that committ was done on 2013-03-11 and added to "master".
I don't know if that day master was 4.1.x or 4.2.x branch.

added developer to CC list.
moved "regression" from summary to keywords... anyway I don't know if it can be called a regression or not
Comment 2 Jean-Baptiste Faure 2013-09-13 07:25:57 UTC
A bug in a new function can't be a regression.

I confirm the behavior on LO 4.1.3.0.0+ and on the master. Easier steps to reproduce (it is not needed to create new styles):
- open a text document
- open the Stylist (F11), choose Paragraph styles and show all styles
- select styles Heading 5 to Heading 10
- choose Hide
- only Heading 5 is hidden

Note: multiple selection has been introduced in LO 4.1 and hide style in LO 4.0. So this bug does not concern LO 4.0.

Cedric: something for you ? ;-)

Best regards. JBF
Comment 3 Jorendc 2013-09-13 10:19:24 UTC
I'm sorry for my late reply on this topic.

(In reply to comment #1)
> that committ was done on 2013-03-11 and added to "master".
> I don't know if that day master was 4.1.x or 4.2.x branch.
> 
> added developer to CC list.
> moved "regression" from summary to keywords... anyway I don't know if it can
> be called a regression or not

@Tommy: thanks for CC'ing me.

Indeed, I only add the deletion-support yet. I was planning to do the same for the hide-feature. Not found the time yet. I'll have a look now, and try to find I can implement that too or not.

Kind regards,
Joren
Comment 4 Jorendc 2013-09-13 14:50:35 UTC
Awaiting for approval https://gerrit.libreoffice.org/#/c/5935/
Comment 5 Commit Notification 2013-10-29 13:55:16 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6bd50778ae8427dce7bd87f404cbaa9b6634ef1f

fdo#67461 add multiple selection support to hide/show multiple styles



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-10-29 13:55:33 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38b8e742872b2cbdba93f4d1b84c8f09b5ab38ff

Related: fdo#67461 consider hierarchical view



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.